Bug 1014067 - Add lvmetad udev rules to initramfs and make udev db records for MD devices persistent so LVM on MD autoactivation works correctly
Summary: Add lvmetad udev rules to initramfs and make udev db records for MD devices p...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
(Show other bugs)
Version: 19
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 985638 1002144
TreeView+ depends on / blocked
 
Reported: 2013-10-01 11:16 UTC by Peter Rajnoha
Modified: 2015-02-18 11:31 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1011704
Environment:
Last Closed: 2015-02-18 11:31:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix LVM on MD activation (1.09 KB, patch)
2013-10-01 11:16 UTC, Peter Rajnoha
no flags Details | Diff

Description Peter Rajnoha 2013-10-01 11:16:41 UTC
Created attachment 805843 [details]
Patch to fix LVM on MD activation

We need the patch for F19 as well (so LVM can add a patch to solve bug #985638 and bug #1002144).

+++ This bug was initially created as a clone of Bug #1011704 +++

Description of problem:
 lvm2-2.02.102-1.fc21does not boot
reverting to 02.99-2.fc20 fixes the system

--- Additional comment from Nicolas Mailhot on 2013-09-24 23:31:08 CEST ---



--- Additional comment from Nicolas Mailhot on 2013-09-24 23:31:51 CEST ---



--- Additional comment from Peter Rajnoha on 2013-09-25 16:41:52 CEST ---

OK, I've managed to reproduce - the problem here is that the volume is on an MD device which is activated in initrd. There's some missing information we need in udev database which is not handed over after transition to root fs. I'll have a think how to cope with this the best way... but I think we'll need an update for dracut to include some more udev rules in initrd so the udev database is complete when running the udev trigger at boot after change to root fs...

--- Additional comment from Peter Rajnoha on 2013-10-01 13:09:47 CEST ---

Harald, we need the patch attached so that the LVM on MD is properly activated. 

The 69-dm-lvm-metad.rules set some udev env. variables that makes it possible to detect the right time to activate LVM on MD. The MD is very similar to DM during activation - it's usable only after proper device activation - the CHANGE event. We need to make a difference between a CHANGE event that comes from this activation and CHANGE event that is the outcome of the WATCH udev rule (otherwise we'd end up with LVM activation done on each CHANGE event - which is wrong).

So we need the udev databse to be persistent during pivot to root fs even for MD devices.

(also related bug #985638 and bug #1002144)

Comment 1 Fedora End Of Life 2015-01-09 22:19:24 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-18 11:31:44 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.